package com.zd.laboratory.domain.vo;


import com.zd.laboratory.domain.LabCheckRecord;
import com.zd.laboratory.domain.LabCheckRecordDetails;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

@ApiModel("检查项表")
public class LabCheckRecordVO  extends LabCheckRecord {

    private String jcxName;//检查项名称
    private Integer isZg;//是否整改
    private String yhMs;//隐患描述
    private String yhImg;//隐患照片
    private String typeLevel;//实验室级别
    private String typeName;//实验室类型

    private String checkName;//检查批次名称
    private String checkId;//检查项id
    private Integer countYh;// 隐患总数
    private Integer countYzg;//已整改总数
    private Integer countWzg;//未整改总数
    private List<LabCheckRecordDetailsVO>  detailsListVo;
    private List<Long> subjectIds;//实验室id集合

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("安全隐患集合")
    private List<LabCheckRecordDetails>  detailsList;

    @ApiModelProperty("是否预期")
    private String isYuqi;

    @ApiModelProperty("时分")
    private String hi;

    @ApiModelProperty("整改开始时间")
    private String zgBeginTime;

    @ApiModelProperty("整改结束时间")
    private String zgEndTime;

    public String getHi() {
        return hi;
    }

    public void setHi(String hi) {
        this.hi = hi;
    }
    public String getYhImg() {        return yhImg;    }

    public void setYhImg(String yhImg) {        this.yhImg = yhImg;    }


    public String getIsYuqi() {
        return isYuqi;
    }

    public void setIsYuqi(String isYuqi) {
        this.isYuqi = isYuqi;
    }

    public List<LabCheckRecord> getRecordList() {
        return recordList;
    }

    public void setRecordList(List<LabCheckRecord> recordList) {
        this.recordList = recordList;
    }

    private List<LabCheckRecord> recordList;

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }



    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public List<LabCheckRecordDetails> getDetailsList() {
        return detailsList;
    }

    public void setDetailsList(List<LabCheckRecordDetails> detailsList) {
        this.detailsList = detailsList;
    }

    public String getZgBeginTime() {        return zgBeginTime;    }

    public void setZgBeginTime(String zgBeginTime) {        this.zgBeginTime = zgBeginTime;    }

    public String getZgEndTime() {        return zgEndTime;    }

    public void setZgEndTime(String zgEndTime) {        this.zgEndTime = zgEndTime;    }

    public String getYhMs() {
        return yhMs;
    }

    public void setYhMs(String yhMs) {
        this.yhMs = yhMs;
    }

    public String getJcxName() {
        return jcxName;
    }

    public void setJcxName(String jcxName) {
        this.jcxName = jcxName;
    }

    public Integer getIsZg() {
        return isZg;
    }

    public void setIsZg(Integer isZg) {
        this.isZg = isZg;
    }

    public String getTypeLevel() {
        return typeLevel;
    }

    public void setTypeLevel(String typeLevel) {
        this.typeLevel = typeLevel;
    }

    public String getTypeName() {        return typeName;    }

    public void setTypeName(String typeName) {        this.typeName = typeName;    }

    public String getCheckName() {        return checkName;    }

    public void setCheckName(String checkName) {        this.checkName = checkName;    }

    public String getCheckId() {        return checkId;    }

    public void setCheckId(String checkId) {        this.checkId = checkId;    }

    public Integer getCountYh() {
        return countYh;
    }

    public void setCountYh(Integer countYh) {        this.countYh = countYh;    }

    public Integer getCountYzg() {        return countYzg;    }

    public void setCountYzg(Integer countYzg) {        this.countYzg = countYzg;    }

    public Integer getCountWzg() {        return countWzg;    }

    public void setCountWzg(Integer countWzg) {        this.countWzg = countWzg;    }

    public List<LabCheckRecordDetailsVO> getDetailsListVo() {        return detailsListVo;    }

    public void setDetailsListVo(List<LabCheckRecordDetailsVO> detailsListVo) {        this.detailsListVo = detailsListVo;    }

    public List<Long> getSubjectIds() {        return subjectIds;    }

    public void setSubjectIds(List<Long> subjectIds) {        this.subjectIds = subjectIds;    }
}
